Subject: [yam] [Errata Rejected] RFC6152 (5646)

From: RFC Errata System <[email-masked]>
Date: Mon, 1 Mar 2021 09:48:10 -0800 (PST)

The following errata report has been rejected for RFC6152,
"SMTP Service Extension for 8-bit MIME Transport".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5646

--------------------------------------
Status: Rejected
Type: Technical

Reported by: HE Zhixiang <[email-masked]>
Date Reported: 2019-03-04
Rejected by: Barry Leiba (IESG)

Section: 3

Original Text
-------------
Naturally, the usual SMTP data-stuffing algorithm applies, so that a
content that contains the five-character sequence of
<CR> <LF> <DOT> <CR> <LF>
or a content that begins with the three-character sequence of
<DOT> <CR> <LF>
does not prematurely terminate the transfer of the content.

Corrected Text
--------------
Naturally, the usual SMTP data-stuffing algorithm applies, so that a
content that contains the five-character sequence of
<CR> <LF> <DOT> <CR> <LF>
or a content that begins with the three-character sequence of
<DOT> <CR> <LF>
would prematurely terminate the transfer of the content.

Notes
-----
RFC 5321, section 4.5.2: 
Without some provision for data transparency, the character sequence "<CRLF>.<CRLF>" ends the mail text and cannot be sent by the user.
 --VERIFIER NOTES-- 
   The text is referring to original, unprocessed text, and is saying that the example strings will "naturally" have "the usual SMTP data stuffing algorithm" applied to them.  As a result, the existence of these strings in the original data will not terminate the transfer because they will be data-stuffed and will no longer appear as termination strings.

The text is correct as written, and the suggested rewrite incorrectly negates the meaning.

--------------------------------------
RFC6152 (draft-ietf-yam-rfc1652bis-03)
--------------------------------------
Title               : SMTP Service Extension for 8-bit MIME Transport
Publication Date    : March 2011
Author(s)           : J. Klensin, N. Freed, M. Rose, D. Crocker, Ed.
Category            : INTERNET STANDARD
Source              : Yet Another Mail
Area                : Applications
Stream              : IETF
Verifying Party     : IESG